Skip to main content
POST
Error

Path Parameters

projectUuid
string<uuid>
required

Stringified UUIDv4. See RFC 4112

Pattern: [0-9A-Fa-f]{8}-[0-9A-Fa-f]{4}-4[0-9A-Fa-f]{3}-[89ABab][0-9A-Fa-f]{3}-[0-9A-Fa-f]{12}
slug
string
required

Body

application/json

A composer chart file: the stored pipeline and chart, verbatim.

chart
object
required

The stored chart, with a custom chart type named by its portable slug.

pipeline
object
required
spaceSlug
string
required

Only used to create a placeholder dashboard when dashboardSlug names none.

dashboardSlug
string
required

The owning dashboard. Ignored on upload when the chart already exists.

description
string | null
required
name
string
required
slug
string
required
version
number<double>
required
contentType
enum<string>
required
Available options:
composer_chart
downloadedAt
string<date-time>
updatedAt
string<date-time>
spaceNames
object

Construct a type with a set of properties K of type T

publicSpaceCreate
boolean
skipSpaceCreate
boolean

Response

Success

results
object
required
status
enum<string>
required
Available options:
ok